# Likelihood-free Empirical Bayes

Each experiment presented in the thesis can be run with the associated notebook. Filenames are explicit with regard to the sections from the thesis. 
### Toy problems
Changing from one simulator to another is done in a single line of code. Just change the variable *simulator_name*. Nonetheless, you may need to update the path to the models that you train. For example, if you learn a prior that you want to use to do inference, you need to update the path to this prior when you change your simulator.

### Physics dataset

The physics dataset is included in the [EnergyFlow](https://energyflow.network/installation/) package. Therefore, you do not need to download anything manually. The dataset will be download if you run the code related to the physics experiment. Yet, in the code you may want to change the filepath to where the dataset will be downloaded.

- JETS_Surrogate_Training.ipynb: Train a surrogate model of the Delphes detector.
- JETS_LFI_EB.ipynb: Does inference with the trained surrogate model.

